[Overview][Types][Procedures and functions][Index] | Reference for unit 'URIParser' (#fcl)

# URIToFilename

Convert a URI to a filename

## Declaration

Source position: uriparser.pp line 49

`function URIToFilename(`
`const URI: string;`
`out Filename: string`
`):Boolean;`

## Arguments

`URI` |  | URI to analyse
`Filename` |  | Resulting filename

## Function result

True if a filename was extracted from the URI

## Description

URIToFilename returns a filename (using the correct Path Delimiter character) from URI. The URI must be of protocol File or have no protocol.

## Errors

If the URI contains an unsupported protocol, False is returned.

## See also

ResolveRelativeURI |  | Return a relative link
FilenameToURI |  | Construct a URI from a filename

Documentation generated on: Feb 26 2014